All Vulnerability Reports

CVE-2018-11086: CF admin credentials accessible to developers through usage service


Severity

Critical

Vendor

Pivotal

Description

Pivotal Usage Service in Pivotal Application Service, versions 2.0 prior to 2.0.21 and 2.1 prior to 2.1.13 and 2.2 prior to 2.2.5, contains a bug which may allow escalation of privileges. A space developer with access to the system org may be able to access an artifact which contains the CF admin credential, allowing them to escalate to an admin role.

Affected Pivotal Products and Versions

Severity is critical unless otherwise noted.

  • Pivotal Application Service
    • 2.2.x versions prior to 2.2.5
    • 2.1.x versions prior to 2.1.13
    • 2.0.x versions prior to 2.0.21
Mitigation

Users of affected versions should apply the following mitigation:

  • Releases that have fixed this issue include:
    • Pivotal Application Service: 2.2.5, 2.1.13, 2.0.21
Credit

This vulnerability was responsibly reported by Pivotal.

History

2018-09-13: Initial vulnerability report published.